Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class Main

    java.lang.Object
      com.sun.javatest.tool.Main

    public class Main

extends java.lang.Object

The main program class for JT Harness.

Nested Class Summary
`static class` | `Main.Fault` Thrown when a bad command line argument is encountered.

Constructor Summary
`Main()`

Method Summary
`static void` | `main(java.lang.String[] args)` Run JT Harness with command-line args.
`void` | `run(java.lang.String[] args, CommandContext ctx)` A routine to run JT Harness.
`void` | `run(java.lang.String[] args, java.io.PrintWriter out)` The main routine to run JT Harness.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Run JT Harness with command-line args.

  Parameters:
    `args` - Arguments, per the command-line spec

### run

    public final void run(java.lang.String[] args,
                          java.io.PrintWriter out)
                   throws Main.Fault,
                          Command.Fault,
                          CommandContext.Fault,
                          CommandParser.Fault

  The main routine to run JT Harness.

  Parameters:
    `args` - Arguments for JT Harness, per the command-line spec.
    `out` - A stream to which to write standard messages, such as command-line help, version info etc. Some error messages will still be sent to System.err.
  Throws:
    `Main.Fault` - if there is a problem initializing the harness
    `Command.Fault` - if there is a problem with a command's arguments
    `CommandContext.Fault` - if there is a problem executing a command
    `CommandParser.Fault` - if there is a problem parsing the args

### run

    public final void run(java.lang.String[] args,
                          CommandContext ctx)
                   throws Main.Fault,
                          Command.Fault,
                          CommandContext.Fault,
                          CommandParser.Fault

  A routine to run JT Harness.

  Parameters:
    `args` - Arguments for JT Harness, per the command-line spec.
    `ctx` - A context to use to execute the commands in the args
  Throws:
    `Main.Fault` - if there is a problem initializing the harness
    `Command.Fault` - if there is a problem with a command's arguments
    `CommandContext.Fault` - if there is a problem executing a command
    `CommandParser.Fault` - if there is a problem parsing the args

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.